<template>
  <q-list bordered class="rounded-borders full-width">
    <q-item-label header>{{ title }}</q-item-label>
    <transition-group
      appear
      enter-active-class="animated fadeIn"
      leave-active-class="animated fadeOut"
    >
      <template v-for="(item, index) in items.slice().reverse()">
        <LoglineItem :logline="item" :key="'item' + index"/>
        <q-separator v-if="index < items.length -1" :key="'separator' + index"/>
      </template>
    </transition-group>
  </q-list>
</template>
<script>
import LoglineItem from 'components/LoglineItem'

export default {
  name: 'LoglineTable',
  components: { LoglineItem },
  props: {
    title: {
      type: String,
      required: true
    },

    items: {
      type: Array,
      required: true
    }
  }
}
</script>
